<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inventario de Productos</title>
    <!-- Agrega los enlaces a Bootstrap CSS y jQuery (para Bootstrap JavaScript) -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
    <div class="container mt-5">
        <h1>Inventario de Productos</h1>
      
        <form id="registroForm">
            <div class="form-group">
                <label for="nombre">Nombre:</label>
                <input type="text" class="form-control" id="nombre" name="nombre" required>
            </div>
            <div class="form-group">
                <label for="existencia">Existencia:</label>
                <input type="number" class="form-control" id="existencia" name="existencia" required>
            </div>
            <div class="form-group">
                <label for="precio">Precio:</label>
                <input type="text" class="form-control" id="precio" name="precio" required>
            </div>
            <div class="form-group">
                <label for="url_image">Url_iamge:</label>
                <input type="text" class="form-control" id="url_image" name="url_image" required>
            </div>
            <button type="submit" class="btn btn-primary">Registrar Producto</button>
        </form>
        
        <!-- Formulario para elegir entre sumar y restar -->
        <form id="operacionForm">
            <div class="form-group">
                <label for="operacion">Selecciona una operación:</label>
                <select class="form-control" id="operacion">
                    <option value="sumar">Sumar Existencia</option>
                    <option value="restar">Restar Existencia</option>
                </select>
            </div>
            <div class="form-group">
                <label for="cod_product">Codigo de Producto:</label>
                <input type="text" class="form-control" id="cod_product" placeholder="Ingrese el codigo del producto">
            </div>
            <div class="form-group">
                <label for="cantidad">Cantidad:</label>
                <input type="number" class="form-control" id="cantidad" placeholder="Ingrese la cantidad">
            </div>
            <button type="submit" class="btn btn-primary">Enviar</button>
        </form>
        
        <!-- Tabla para mostrar los datos -->
        <table class="table mt-4">
            <thead>
                <tr>
                    <th>Código de Producto</th>
                    <th>Nombre</th>
                    <th>Existencia</th>
                    <th>Precio</th>
                    <th>imagen</th>
                </tr>
            </thead>
            <tbody id="tablaProductos">
                <!-- Aquí se mostrarán los datos de los productos -->
            </tbody>
        </table>
    </div>

    <!-- Agrega los enlaces a Bootstrap JS y jQuery -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.3/dist/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- Agrega tu archivo JavaScript personalizado -->
    <script  type="module" src="./js/loadProducts.js"></script>
    <script  type="module" src="./app.js"></script>

    <link rel="stylesheet" href="./css/index.css">

</body>
</html>
